Jump to content

About This File

The patch will fix your "Requires Melee Weapon" bug when you're trying to use spells.

You have to put the file into your Data folder which is located at your World of Warcraft folder


What's New in Version 1.0.2   See changelog

Released

No changelog available for this version.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.